<template>
  <div>
    <Toolbar
      style="border-bottom: 1px solid #eee"
      :editor="editorRef"
      :defaultConfig="toolbarConfig"
      mode="simple"
    />
    <div></div>
    <Editor
      style="height: calc(100vh - 226px); overflow-y: hidden"
      v-model="valueHtml"
      :defaultConfig="editorConfig"
      mode="simple"
      @onCreated="handleCreated"
    />
  </div>
</template>
<script>
import "@wangeditor/editor/dist/css/style.css"; // 引入 css

import { onBeforeUnmount, ref, shallowRef } from "vue";
import { Editor, Toolbar } from "@wangeditor/editor-for-vue";
export default {
  components: { Editor, Toolbar },
  props: {
    rawText: {
      type: String,
      default: "",
    },
  },
  watch: {
    rawText(t) {
      console.log("--->", t);
      this.editorRef.dangerouslyInsertHtml(t);
    },
  },
  setup() {
    //   setup(props, context) {
    // 编辑器实例，必须用 shallowRef
    const editorRef = shallowRef();

    // 内容 HTML
    const valueHtml = ref("");


    const toolbarConfig = {};
    const editorConfig = {
      placeholder: "请输入内容...",
    };

    // 组件销毁时，也及时销毁编辑器
    onBeforeUnmount(() => {
      const editor = editorRef.value;
      if (editor == null) return;
      editor.destroy();
    });

    const handleCreated = editor => {
      editorRef.value = editor; // 记录 editor 实例，重要！
    };


    return {
      editorRef,
      valueHtml,
      mode: "default", // 或 'simple'
      toolbarConfig,
      editorConfig,
      handleCreated,
    };
  },
};
</script>

<style>
.selectSpan {
  border-bottom: 3px solid #fff;
}
.text {
  height: calc(100vh - 256px);
  overflow-y: auto;
  outline: none;
  padding: 1em;
}
</style>
